# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.70"
name = "aerosocket"
version = "0.1.4"
authors = ["AeroSocket Team"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Ultra-fast, zero-copy WebSocket library for enterprise-scale applications"
homepage = "https://aerosocket.rs"
documentation = "https://docs.rs/aerosocket"
readme = "README.md"
keywords = [
    "websocket",
    "async",
    "tokio",
    "server",
    "client",
]
categories = [
    "asynchronous",
    "network-programming",
    "web-programming::websocket",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/M1tsumi/AeroSocket"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
async-std-runtime = [
    "async-std",
    "aerosocket-core/async-std-runtime",
]
client = ["dep:aerosocket-client"]
default = [
    "tokio-runtime",
    "transport-tcp",
]
full = [
    "server",
    "client",
    "transport-tcp",
    "transport-tls",
    "wasm",
    "serde",
    "rkyv",
]
rkyv = ["aerosocket-core/rkyv"]
serde = ["aerosocket-core/serde"]
server = ["dep:aerosocket-server"]
tokio-runtime = [
    "tokio",
    "aerosocket-core/tokio-runtime",
]
transport-tcp = ["dep:aerosocket-transport-tcp"]
transport-tls = ["dep:aerosocket-transport-tls"]
wasm = ["dep:aerosocket-wasm"]

[lib]
name = "aerosocket"
path = "src/lib.rs"

[dependencies.aerosocket-client]
version = "0.1.0"
optional = true

[dependencies.aerosocket-core]
version = "0.1.0"

[dependencies.aerosocket-server]
version = "0.1.0"
optional = true

[dependencies.aerosocket-transport-tcp]
version = "0.1.0"
optional = true

[dependencies.aerosocket-transport-tls]
version = "0.1.0"
optional = true

[dependencies.aerosocket-wasm]
version = "0.1.0"
optional = true

[dependencies.async-std]
version = "1.12"
optional = true

[dependencies.tokio]
version = "1.35"
features = ["full"]
optional = true

[dev-dependencies.tokio]
version = "1.35"
features = ["full"]

[dev-dependencies.tokio-test]
version = "0.4"

[dev-dependencies.tracing-test]
version = "0.2"
